Configuración de Cookies

Cookies técnicas

Activas
ver cookies

Son aquellas que permiten al usuario la navegación a través de la página web y la utilización de las diferentes opciones o servicios que en ella existan, incluyendo aquellas que el editor utiliza para permitir la gestión y operativa de la página web y habilitar sus funciones y servicios.

Cookies analíticas

Inactivas
ver cookies

Son aquellas que permiten al responsable de las mismas el seguimiento y análisis del comportamiento de los usuarios del sitio web. La información recogida mediante este tipo de cookies se utiliza en la medición de la actividad del sitio web, con el fin de introducir mejoras en función del análisis de los datos de uso que hacen los usuarios del servicio.

AVISO DE COOKIES

Esta página web, propiedad de SPRI, utiliza cookies propias y de terceros con la finalidad de permitir su navegación, elaborar información estadística, analizar sus hábitos de navegación y remitirle publicidad en función de los mismos. Puedes hacer clic en Aceptar para permitir el uso de todas las cookies o puedes elegir qué tipo de cookies deseas aceptar o rechazar mediante la opción Configurar Cookies. También, puedes obtener más información en nuestra Política de Cookies.Configurar cookiesAceptar

Basque Cyber Security Centre - Centro Vasco de Ciberseguridad

Múltiples vulnerabilidades en Advantech WebAccess Node

Fecha de publicación: 08/05/2020

Importancia: Crítica

Recursos afectados:

WebAccess Node, versiones:

  • 8.4.4 y anteriores,
  • 9.0.0.

Descripción:

Los investigadores Natnael Samson and Z0mb1E, trabajando con ZDI de Trend Micro, han reportado al CISA 8 vulnerabilidades, 3 de severidad crítica, 3 altas y 2 medias, de tipo validación inadecuada del índice de un array, acceso relativo a rutas no controlado (relative path traversal), inyección SQL, desbordamiento de búfer basado en pila (stack), desbordamiento de búfer en memoria dinámica (heap) y lectura fuera de límites.

Solución:

Actualizar a las versiones 8.4.4.P0320844 o 9.0.0.P0320900 para solucionar estas vulnerabilidades.

Detalle:

  • Una vulnerabilidad de validación incorrecta podría permitir a un atacante inyectar información, especialmente diseñada, en la memoria, donde se podría ejecutar posteriormente. Se ha reservado el identificador CVE-2020-12022 para esta vulnerabilidad.
  • Múltiples vulnerabilidades de relative path traversal podrían permitir a un usuario, autenticado o con bajo nivel de privilegios, utilizar un archivo, especialmente diseñado, para eliminar o sobreescribir archivos fuera del control de la aplicación. Se han reservado los identificadores CVE-2020-12010 y CVE-2020-12006 para estas vulnerabilidades.
  • La entrada no está correctamente sanitizada y puede permitir que un atacante inyecte comandos SQL. Se ha reservado el identificador CVE-2020-12014 para esta vulnerabilidad.
  • Existen múltiples vulnerabilidades de desbordamiento de búfer, tanto basado en pila (stack) como en memoria dinámica (heap), causadas por una falta de validación adecuada de la longitud de los datos proporcionados por el usuario, lo que podría permitir la ejecución remota de código. Se han reservado los identificadores CVE-2020-12002 y CVE-2020-10638 para estas vulnerabilidades.
  • Existe una vulnerabilidad de lectura fuera de los límites que podría permitir el acceso a datos no autorizados. Se ha reservado el identificador CVE-2020-12018 para esta vulnerabilidad.

Etiquetas: Actualización, Infraestructuras críticas, Vulnerabilidad